Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class JboTypeMap

    java.lang.Object
      |
      +--oracle.jbo.common.JboTypeMap

public class JboTypeMap
extends java.lang.Object

Internal: Applications should not use this class.

Constructor Summary
`JboTypeMap(java.lang.String columnType, java.lang.String javaType, java.lang.String sqlType, int sqlTypeId, java.lang.String size)`
`JboTypeMap(java.lang.String columnType, java.lang.String javaType, java.lang.String sqlType, int sqlTypeId, java.lang.String size, boolean bNumeric)`
`JboTypeMap(java.lang.String attrType, java.lang.String columnType, java.lang.String sqlType, java.lang.String javaType, int sqlTypeId, java.lang.String size)`

Method Summary
`static java.lang.String` | `attrTypeToColumnType(java.lang.String attrType)`
`static java.lang.String` | `attrTypeToJavaType(java.lang.String attrType)`
`static java.lang.String` | `attrTypeToSQLType(java.lang.String attrType)`
`static java.lang.String` | `columnTypeToAttrType(java.lang.String colType)`
`static java.lang.String` | `columnTypeToSQLType(java.lang.String colType)`
`static int` | `columnTypeToSQLTypeId(java.lang.String colType, int defaultID)`
`java.lang.String` | `getAttrType()`
`static java.lang.String[]` | `getAttrTypesForDisplay()`
`java.lang.String` | `getColumnType()`
`static java.lang.String` | `getDefaultColumnLength(java.lang.String colType)`
`java.lang.String` | `getJavaType()`
`java.lang.String` | `getSize()`
`java.lang.String` | `getSQLType()`
`int` | `getSQLTypeId()`
`static boolean` | `isCharType(int type)`
`static boolean` | `isNumericType(int type)`
`static java.lang.String` | `javaTypeToAttrType(java.lang.String javaType)`
`static void` | `populateEntries()`
`static void` | `populateEntries(java.lang.String className)`
`static java.lang.String` | `sqlTypeIdToSQLType(int id)`
`static java.lang.String` | `sqlTypeToColumnTypeBase(java.lang.String sqlType)`
`static int` | `sqlTypeToSQLTypeId(java.lang.String sqlType)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JboTypeMap

    public JboTypeMap(java.lang.String columnType,
                      java.lang.String javaType,
                      java.lang.String sqlType,
                      int sqlTypeId,
                      java.lang.String size,
                      boolean bNumeric)

### JboTypeMap

    public JboTypeMap(java.lang.String columnType,
                      java.lang.String javaType,
                      java.lang.String sqlType,
                      int sqlTypeId,
                      java.lang.String size)

### JboTypeMap

    public JboTypeMap(java.lang.String attrType,
                      java.lang.String columnType,
                      java.lang.String sqlType,
                      java.lang.String javaType,
                      int sqlTypeId,
                      java.lang.String size)

Method Detail

### populateEntries

    public static void populateEntries()

### populateEntries

    public static void populateEntries(java.lang.String className)

### isNumericType

    public static boolean isNumericType(int type)

### isCharType

    public static boolean isCharType(int type)

### getAttrType

    public java.lang.String getAttrType()

### getSQLType

    public java.lang.String getSQLType()

### getJavaType

    public java.lang.String getJavaType()

### getSQLTypeId

    public int getSQLTypeId()

### getSize

    public java.lang.String getSize()

### getColumnType

    public java.lang.String getColumnType()

### columnTypeToAttrType

    public static java.lang.String columnTypeToAttrType(java.lang.String colType)

### columnTypeToSQLType

    public static java.lang.String columnTypeToSQLType(java.lang.String colType)

### columnTypeToSQLTypeId

    public static int columnTypeToSQLTypeId(java.lang.String colType,
                                            int defaultID)

### getDefaultColumnLength

    public static java.lang.String getDefaultColumnLength(java.lang.String colType)

### sqlTypeToColumnTypeBase

    public static java.lang.String sqlTypeToColumnTypeBase(java.lang.String sqlType)

### sqlTypeToSQLTypeId

    public static int sqlTypeToSQLTypeId(java.lang.String sqlType)

### attrTypeToColumnType

    public static java.lang.String attrTypeToColumnType(java.lang.String attrType)

### attrTypeToJavaType

    public static java.lang.String attrTypeToJavaType(java.lang.String attrType)

### attrTypeToSQLType

    public static java.lang.String attrTypeToSQLType(java.lang.String attrType)

### javaTypeToAttrType

    public static java.lang.String javaTypeToAttrType(java.lang.String javaType)

### sqlTypeIdToSQLType

    public static java.lang.String sqlTypeIdToSQLType(int id)

### getAttrTypesForDisplay

    public static java.lang.String[] getAttrTypesForDisplay()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD